commit:     c3446a0be6be8a4770728890ad4a079fab9c092e
Author:     Ralph Seichter <github <AT> seichter <DOT> de>
AuthorDate: Sat Nov 10 15:14:21 2018 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Nov 16 20:49:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3446a0b

net-misc/httpie: upstream release 1.0.2

Upstream release 1.0.2. First HTTPie ebuild to support tests. Note that
support for Python 3.7 had to be removed because necessary test packages
are not yet available.

Closes: https://github.com/gentoo/gentoo/pull/10389

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Ralph Seichter <gentoo <AT> seichter.de>
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 net-misc/httpie/Manifest            |  1 +
 net-misc/httpie/httpie-1.0.2.ebuild | 39 +++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/net-misc/httpie/Manifest b/net-misc/httpie/Manifest
index 8f86610e538..c8e1dfbb471 100644
--- a/net-misc/httpie/Manifest
+++ b/net-misc/httpie/Manifest
@@ -3,3 +3,4 @@ DIST httpie-0.9.3.tar.gz 73693 BLAKE2B 
f188a7fe5f63b39022d2a67e8f9dc2582ce8e8d48
 DIST httpie-0.9.4.tar.gz 79889 BLAKE2B 
13053cb3389a03ecbd90caba85801772cba9f09a03f759d526256fc0195a31824408a02b004d3af50a1fbcaca7c02128b438ce341464825a08e4dbd5177ddf99
 SHA512 
eea4e0fce334d12f9438d89f87d119bc569f8042d95c87f6898b9110030674f49361bf8e119d815330aa117479557766d614510d81c42c9c3a6803c769f38b26
 DIST httpie-0.9.9.tar.gz 85006 BLAKE2B 
c5412348b3add127a5d5dfc04fdc13a47f82ec65634eedefb55a0cf1ce182a49f81a3a68c0cbb5e8c90b53efb165c89b7444d23328e545bdbf92d69d1de9c921
 SHA512 
e9adb1ecf9a25b57c634f35199bf1f8fbe4136179c0ba0d6032a41ae786da9344f54436f91d89e624c154bdca325f94c637364a934fc2d5742b83056434f7e4c
 DIST httpie-1.0.0.tar.gz 268982 BLAKE2B 
36ae23876c995f450ac4d814a56a79db7aee175f3b6b060bf08049cd2ea5ec5000c91bf49a12eae8a2dff2c91e5d5200d3febc4cdd50d0488db35eb96777ed14
 SHA512 
9a68746636e367d1131069787f4a4a199b6434b828fe58fecef70e810c1d63c662c790fc45fd955a390113920a29d0116cf29d1167d638debe6b9419a4ae2d48
+DIST httpie-1.0.2.tar.gz 765210 BLAKE2B 
6eb6975aa8f9d2c27762ead5d49db25ba26ba82e21d696c3e5bfa19710ef2a7efbce9d74cd39a22282018ca4f9573c92d99b465c470adf5f04bed75f0416c693
 SHA512 
2b57164f4b20ef2033d527a3dfb9191b68fa95f419cde2c7e52ec47cf74540d0a2356aeee8669d4b43ab6feca80840be6ad6a8481930ddf3acf9ac3ef0b2c569

diff --git a/net-misc/httpie/httpie-1.0.2.ebuild 
b/net-misc/httpie/httpie-1.0.2.ebuild
new file mode 100644
index 00000000000..af224843dd8
--- /dev/null
+++ b/net-misc/httpie/httpie-1.0.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Modern command line HTTP client"
+HOMEPAGE="https://httpie.org/ https://pypi.org/project/httpie/";
+SRC_URI="https://github.com/jakubroztocil/httpie/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.19.1[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       pytest -vv || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp extras/httpie-completion.bash http
+       insinto /usr/share/fish/vendor_completions.d
+       newins extras/httpie-completion.fish http.fish
+       distutils-r1_python_install_all
+}

Reply via email to